<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Kursplanung\ShowFilterTerminUebersicht;

class ShowFilterTerminUebersichtController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new ShowFilterTerminUebersichtUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    return new ShowFilterTerminUebersichtRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowFilterTerminUebersichtPresenter($pUseCaseResponse);
  }
}